#include "icommandscontroller.h"
#include <main/controllers/controladorcomandos.h>

GNC::GCS::ControladorComandosException::ControladorComandosException(const std::string& msg, const std::string& componente, bool fatal) throw() : GNC::GCS::IException(msg, componente, fatal)
{
}

GNC::GCS::IControladorComandos::IControladorComandos()
{
}

GNC::GCS::IControladorComandos::~IControladorComandos()
{
}

GNC::GCS::IControladorComandos* GNC::GCS::IControladorComandos::Instance()
{
	return GNC::ControladorComandos::Instance();

}

void GNC::GCS::IControladorComandos::FreeInstance()
{
	GNC::ControladorComandos::FreeInstance();

}